#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n,f=1,p=1000000007;
    cin>>n;
    for(long long i=1;i<=n;i++)
    {
        f*=i;
        f=f%p;
    }
    cout<<f<<endl;
    return 0;
}